curl --request PATCH \
--url https://api-sandbox.finogates.com/v1/platform/payees/addresses/{payee_id}/{address_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"address_type": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"doc_number": "<string>",
"doc_type": "<string>",
"doc_issue_country": "<string>",
"doc_issue_date": "<string>",
"doc_due_date": "<string>",
"doc_issuer": "<string>",
"is_default": false,
"country": "<string>",
"purposes": [
"<string>"
]
}
'import requests
url = "https://api-sandbox.finogates.com/v1/platform/payees/addresses/{payee_id}/{address_id}"
payload = {
"label": "<string>",
"address_type": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"doc_number": "<string>",
"doc_type": "<string>",
"doc_issue_country": "<string>",
"doc_issue_date": "<string>",
"doc_due_date": "<string>",
"doc_issuer": "<string>",
"is_default": False,
"country": "<string>",
"purposes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
address_type: '<string>',
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
phone: '<string>',
doc_number: '<string>',
doc_type: '<string>',
doc_issue_country: '<string>',
doc_issue_date: '<string>',
doc_due_date: '<string>',
doc_issuer: '<string>',
is_default: false,
country: '<string>',
purposes: ['<string>']
})
};
fetch('https://api-sandbox.finogates.com/v1/platform/payees/addresses/{payee_id}/{address_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.finogates.com/v1/platform/payees/addresses/{payee_id}/{address_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'label' => '<string>',
'address_type' => '<string>',
'line1' => '<string>',
'line2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postal_code' => '<string>',
'phone' => '<string>',
'doc_number' => '<string>',
'doc_type' => '<string>',
'doc_issue_country' => '<string>',
'doc_issue_date' => '<string>',
'doc_due_date' => '<string>',
'doc_issuer' => '<string>',
'is_default' => false,
'country' => '<string>',
'purposes' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.finogates.com/v1/platform/payees/addresses/{payee_id}/{address_id}"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"address_type\": \"<string>\",\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"phone\": \"<string>\",\n \"doc_number\": \"<string>\",\n \"doc_type\": \"<string>\",\n \"doc_issue_country\": \"<string>\",\n \"doc_issue_date\": \"<string>\",\n \"doc_due_date\": \"<string>\",\n \"doc_issuer\": \"<string>\",\n \"is_default\": false,\n \"country\": \"<string>\",\n \"purposes\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.finogates.com/v1/platform/payees/addresses/{payee_id}/{address_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"<string>\",\n \"address_type\": \"<string>\",\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"phone\": \"<string>\",\n \"doc_number\": \"<string>\",\n \"doc_type\": \"<string>\",\n \"doc_issue_country\": \"<string>\",\n \"doc_issue_date\": \"<string>\",\n \"doc_due_date\": \"<string>\",\n \"doc_issuer\": \"<string>\",\n \"is_default\": false,\n \"country\": \"<string>\",\n \"purposes\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.finogates.com/v1/platform/payees/addresses/{payee_id}/{address_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"<string>\",\n \"address_type\": \"<string>\",\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"phone\": \"<string>\",\n \"doc_number\": \"<string>\",\n \"doc_type\": \"<string>\",\n \"doc_issue_country\": \"<string>\",\n \"doc_issue_date\": \"<string>\",\n \"doc_due_date\": \"<string>\",\n \"doc_issuer\": \"<string>\",\n \"is_default\": false,\n \"country\": \"<string>\",\n \"purposes\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status_code": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"label": "<string>",
"address_type": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"doc_number": "<string>",
"doc_type": "<string>",
"doc_issue_country": "<string>",
"doc_issue_date": "<string>",
"doc_due_date": "<string>",
"doc_issuer": "<string>",
"is_default": false,
"purposes": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"query_generated_time": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Update a Payee's Address
Change an address. Send only the fields you want to update — the rest are kept.
If this update would give the address the international purpose for a country the payee already has a different international address for, it returns 409 international_address_conflict instead — resolve it the same way as on create, with on_international_conflict.
curl --request PATCH \
--url https://api-sandbox.finogates.com/v1/platform/payees/addresses/{payee_id}/{address_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"address_type": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"doc_number": "<string>",
"doc_type": "<string>",
"doc_issue_country": "<string>",
"doc_issue_date": "<string>",
"doc_due_date": "<string>",
"doc_issuer": "<string>",
"is_default": false,
"country": "<string>",
"purposes": [
"<string>"
]
}
'import requests
url = "https://api-sandbox.finogates.com/v1/platform/payees/addresses/{payee_id}/{address_id}"
payload = {
"label": "<string>",
"address_type": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"doc_number": "<string>",
"doc_type": "<string>",
"doc_issue_country": "<string>",
"doc_issue_date": "<string>",
"doc_due_date": "<string>",
"doc_issuer": "<string>",
"is_default": False,
"country": "<string>",
"purposes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
address_type: '<string>',
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
phone: '<string>',
doc_number: '<string>',
doc_type: '<string>',
doc_issue_country: '<string>',
doc_issue_date: '<string>',
doc_due_date: '<string>',
doc_issuer: '<string>',
is_default: false,
country: '<string>',
purposes: ['<string>']
})
};
fetch('https://api-sandbox.finogates.com/v1/platform/payees/addresses/{payee_id}/{address_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.finogates.com/v1/platform/payees/addresses/{payee_id}/{address_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'label' => '<string>',
'address_type' => '<string>',
'line1' => '<string>',
'line2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postal_code' => '<string>',
'phone' => '<string>',
'doc_number' => '<string>',
'doc_type' => '<string>',
'doc_issue_country' => '<string>',
'doc_issue_date' => '<string>',
'doc_due_date' => '<string>',
'doc_issuer' => '<string>',
'is_default' => false,
'country' => '<string>',
'purposes' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.finogates.com/v1/platform/payees/addresses/{payee_id}/{address_id}"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"address_type\": \"<string>\",\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"phone\": \"<string>\",\n \"doc_number\": \"<string>\",\n \"doc_type\": \"<string>\",\n \"doc_issue_country\": \"<string>\",\n \"doc_issue_date\": \"<string>\",\n \"doc_due_date\": \"<string>\",\n \"doc_issuer\": \"<string>\",\n \"is_default\": false,\n \"country\": \"<string>\",\n \"purposes\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.finogates.com/v1/platform/payees/addresses/{payee_id}/{address_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"<string>\",\n \"address_type\": \"<string>\",\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"phone\": \"<string>\",\n \"doc_number\": \"<string>\",\n \"doc_type\": \"<string>\",\n \"doc_issue_country\": \"<string>\",\n \"doc_issue_date\": \"<string>\",\n \"doc_due_date\": \"<string>\",\n \"doc_issuer\": \"<string>\",\n \"is_default\": false,\n \"country\": \"<string>\",\n \"purposes\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.finogates.com/v1/platform/payees/addresses/{payee_id}/{address_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"<string>\",\n \"address_type\": \"<string>\",\n \"line1\": \"<string>\",\n \"line2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"phone\": \"<string>\",\n \"doc_number\": \"<string>\",\n \"doc_type\": \"<string>\",\n \"doc_issue_country\": \"<string>\",\n \"doc_issue_date\": \"<string>\",\n \"doc_due_date\": \"<string>\",\n \"doc_issuer\": \"<string>\",\n \"is_default\": false,\n \"country\": \"<string>\",\n \"purposes\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status_code": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"label": "<string>",
"address_type": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"doc_number": "<string>",
"doc_type": "<string>",
"doc_issue_country": "<string>",
"doc_issue_date": "<string>",
"doc_due_date": "<string>",
"doc_issuer": "<string>",
"is_default": false,
"purposes": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"query_generated_time": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Optional. The unique ID of the user who owns this payee. Omit to look the payee up by its ID within your tenant.
"b3a9b622-cc63-4d3c-aad6-2d8e29e6f9d4"
Body
Update a payee address (PATCH — only provided fields change).
The service applies model_dump(exclude_unset=True) so an omitted field
is left untouched (including is_default, which carries a default here).
12030255255120120204010050102020255Replace which products this address may be used for. Omit to leave unchanged; when sent, at least one purpose is required — an address cannot be updated to have none.
Same meaning as on the create endpoint — resolves a conflict when this update would leave the address (or its new country) with the international purpose while a different address already carries it for that country.
replace, keep 
